import React from 'react';
import {
  Text,
  StyleSheet,
} from 'react-native';
import { IMessageModel } from '@tencentcloud/chat-uikit-engine';

import { Overlay } from '../Overlay';

interface IMessageActionProps {
  isVisible: boolean;
  message: IMessageModel;
  closeMessageActionPanel: () => void;
}

export const MessageAction = (props: IMessageActionProps) => {
  const { isVisible, closeMessageActionPanel } = props;
  return (
    <Overlay
      isVisible={isVisible}
      style={styles.overlay}
      onClose={closeMessageActionPanel}
    >
      <Text>message action</Text>
    </Overlay>
  );
};

const styles = StyleSheet.create({
  overlay: {
    opacity: 0.8,
  },
});
